org.springframework.jms.listener.adapter

## Class ListenerExecutionFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jms.JmsException
          - - org.springframework.jms.listener.adapter.ListenerExecutionFailedException

All Implemented Interfaces:
  Serializable

    public class ListenerExecutionFailedException
    extends JmsException

Exception to be thrown when the execution of a listener method failed.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `MessageListenerAdapter`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListenerExecutionFailedException(String msg, Throwable cause)` Constructor for ListenerExecutionFailedException.

### Method Summary

### Methods inherited from class org.springframework.jms.JmsException

`getErrorCode, getMessage`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListenerExecutionFailedException

    public ListenerExecutionFailedException(String msg,
                                            Throwable cause)

Constructor for ListenerExecutionFailedException.

Parameters:
  `msg` - the detail message
  `cause` - the exception thrown by the listener method